#!/usr/bin/php -q
<?php
error_reporting(0);
$_SERVER['SERVER_PROTOCOL'] = '';
$_SERVER['REQUEST_METHOD'] = '';
$_SERVER['SERVER_NAME'] = '';
require_once '../../../wp-blog-header.php';
require_once AIOSC_DIR.'/inc/email-parser/plancake-email-parser.php';
/**
 * E-mail TO structure: USER_ID-TICKET_ID-TICKET_HASH@aiosc.domain
 * Then check if USER_ID exists and if FROM e-mail is the e-mail user used when registered his account on WordPress
 * Then check if USER_ID is AUTHOR_ID or OPERATOR_ID of TICKET_ID
 * Then check if TICKET_ID and TICKET_HASH combination matches
 * Next, check if ticket's status is not CLOSED
 * If everything is okay, create new reply
 */
// read from stdin
$fd = fopen("php://stdin", "r"); //fopen("email_demo.txt", "r"); //debug
$email = "";
while (!feof($fd))
{
    $email .= fread($fd, 1024);
}
fclose($fd);

$emailParser = new PlancakeEmailParser($email);


//var_dump($emailParser->rawFields);


/** PARSING */
$hfrom = $emailParser->getHeader('from');
$hto = $emailParser->getHeader('to');
$email_from = @$hfrom['email'];
$email_to = @$hto['email']; //"2-1-da780cc1ca4f6738a771ec13c8e79fd99e08b8aa@aiosc.diwave-coders.com";


if(empty($email_to)) aiosc_pipe_error('Email-To not found at all');
$email_to = substr($email_to,0,strpos($email_to,'@')); //get everything before @
$email_to = explode('-',$email_to);
if(!is_array($email_to) || count($email_to) !== 3) aiosc_pipe_error('[Invalid Email-To] '.$email_to);

$user_id = $email_to[0];
if(!is_numeric($user_id) || $user_id < 1) aiosc_pipe_error('[Invalid User ID] '.$user_id);

$ticket_id = $email_to[1];
if(!is_numeric($ticket_id) || $ticket_id < 1) aiosc_pipe_error('[Invalid Ticket ID] '.$ticket_id);

$ticket_hash = $email_to[2];
if(strlen($ticket_hash) != 40) aiosc_pipe_error('[Invalid Hash] '.$ticket_hash);

//get objects to work with
$user = new aiosc_User($user_id);
if(!aiosc_is_user($user) || $email_from !== $user->user_email) {
    if(!aiosc_is_user($user))  aiosc_pipe_error('[Invalid aiosc_User] Could not create user from ID: '.$user_id);
    else  aiosc_pipe_error('[Invalid aiosc_User] Could not create user from ID: '.$user_id.', e-mail address does not match user\'s email address.');
}

$ticket = new aiosc_Ticket($ticket_id);
if(!aiosc_is_ticket($ticket) || $ticket->hash_code !== $ticket_hash || $ticket->status == 'closed') aiosc_pipe_error('[Invalid aiosc_Ticket] Could not create ticket from ID: '.$ticket_id);

if(!$user->can('reply_ticket',array('ticket_id'=>$ticket)))
    aiosc_pipe_error('[User Permission Error] User ('.$user_id.') cannot reply to this ticket ('.$ticket_id.')');

//file_put_contents(getcwd()."/mail_".time().".txt",$email);
$content = $emailParser->getHTMLBody();
if(!$emailParser->has_html) $content = str_replace(array('\n\n','\r'),'<br />',$content);
$content = aiosc_clean_content($content);
if(aiosc_is_error(aiosc_ReplyManager::update_reply(0,$ticket->ID,$content,false,false,true, $user))) {
    aiosc_pipe_error('[ReplyManager::update_reply] Could not update reply for some reason.');
}
function aiosc_pipe_error($message='') {
    if(empty($message)) $message = '[AIOSC Piper] Unknown error.';
    else $message = '[AIOSC Piper] '.$message;
    aiosc_log($message);
    //die($message); //send email back to user
    die();
}
die();
?>