<?php aisoc_print_js_debug() ?>
<?php
global $aiosc_settings, $aiosc_capabilities, $aiosc_user;
if($aiosc_user->can('staff') && !$aiosc_user->can('answer_tickets'))
    $departments = $aiosc_user->get_departments(true);
else
    $departments = aiosc_DepartmentManager::get_departments(!$aiosc_user->can('staff'), true);

$priorities = aiosc_PriorityManager::get_priorities(!$aiosc_user->can('staff'), true);
$users = get_users();

$ticket_query = array();
$ticket_query['0'] = 0;
$additional_query = '';
if(!$aiosc_user->can('staff')) $ticket_query['author_id'] = $aiosc_user->ID;
if(!$aiosc_user->can('edit_tickets') && $aiosc_user->can('staff')) {
    $ddd = $aiosc_user->get_departments(false);
    if($ddd !== false) {
        if(!empty($ticket_query)) $additional_query .= " AND (";
        else $additional_query .= "WHERE (";
        for($i=0;$i<count($ddd);$i++) {
            $additional_query .= " department_id = ".$ddd[$i]." ";
            if($i == count($ddd) - 1) $additional_query .= ")";
            else $additional_query .= " OR ";
        }
    }
}

$ticket_count_all = aiosc_TicketManager::get_count_by($ticket_query,$additional_query);
$ticket_count_queue = aiosc_TicketManager::get_count_by(array_merge($ticket_query,array('status'=>'queue')),$additional_query);
$ticket_count_open = aiosc_TicketManager::get_count_by(array_merge($ticket_query,array('status'=>'open')),$additional_query);
$ticket_count_closed = aiosc_TicketManager::get_count_by(array_merge($ticket_query,array('status'=>'closed')),$additional_query);

?>
<div id="screen-meta" class="metabox-prefs" style="display: none;">
    <div id="screen-options-wrap" class="hidden" tabindex="-1" aria-label="<?php _e('Screen Options Tab','aiosc')?>'" style="display: none;">
        <form id="adv-settings" action="<?php echo get_admin_url(0,'/admin-ajax.php')?>" method="post">
            <input type="hidden" name="action" value="aiosc_screen_options_tickets" />
            <h5><?php _e('Show on screen','aiosc')?></h5>
            <div class="metabox-prefs">
                <label>
                    <input name="id-hide" type="checkbox" <?php checked(!aiosc_cookie_get('id-hide', false))?>><?php _e('ID','aiosc')?>
                </label>
                <label>
                    <input name="status-hide" type="checkbox" <?php checked(!aiosc_cookie_get('status-hide', false))?>><?php _e('Status','aiosc')?>
                </label>
                <label>
                    <input name="replies-hide" type="checkbox" <?php checked(!aiosc_cookie_get('replies-hide', false))?>><?php _e('Replies','aiosc')?>
                </label>
                <label>
                    <input name="priority-hide" type="checkbox" <?php checked(!aiosc_cookie_get('priority-hide', false))?>><?php _e('Priority','aiosc')?>
                </label>
                <label>
                    <input name="department-hide" type="checkbox" <?php checked(!aiosc_cookie_get('department-hide', false))?>><?php _e('Department','aiosc')?>
                </label>
                <?php if($aiosc_user->can('staff')) : ?>
                <label>
                    <input name="author-hide" type="checkbox" <?php checked(!aiosc_cookie_get('author-hide', false))?>><?php _e('Author','aiosc')?>
                </label>
                    <label>
                        <input name="operator-hide" type="checkbox" <?php checked(!aiosc_cookie_get('operator-hide', false))?>><?php _e('Operator','aiosc')?>
                    </label>
                    <label>
                        <input name="last_update-hide" type="checkbox" <?php checked(!aiosc_cookie_get('last_update-hide', false))?>><?php _e('Last Update','aiosc')?>
                    </label>
                <?php endif; ?>
                <br class="clear">
            </div>
            <div class="screen-options">
                <input type="number" step="1" min="1" max="999" name="tickets-per-page" maxlength="3" value="<?php echo aiosc_tickets_per_page(); ?>">
                <label for="edit_post_per_page"><?php _e('Tickets','aiosc')?></label>
                <input type="submit" name="screen-options-apply" id="screen-options-apply" class="button" value="<?php _e('Apply','aiosc')?>">
    </div>
        </form>
    </div>
</div>
<div id="screen-meta-links">
    <div id="screen-options-link-wrap" class="hide-if-no-js screen-meta-toggle" style="">
        <a href="#screen-options-wrap" id="show-settings-link" class="show-settings" aria-controls="screen-options-wrap" aria-expanded="false"><?php _e('Screen Options','aiosc')?></a>
    </div>
</div>
<div class="wrap">
    <div class="aiosc-window">
        <h2 class="page-title"><?php _e('Tickets','aiosc')?></h2>
        <ul class="aiosc-subtabs">
            <li data-screen="all"><?php _e('All','aiosc')?> (<span class="ticket-count-all"><?php echo $ticket_count_all?></span>)</li>
            <li data-screen="queue"><?php _e('In Queue','aiosc')?> (<span class="ticket-count-queue"><?php echo $ticket_count_queue?></span>)</li>
            <li data-screen="open"><?php _e('Open','aiosc')?> (<span class="ticket-count-open"><?php echo $ticket_count_open?></span>)</li>
            <li data-screen="closed"><?php _e('Closed','aiosc')?> (<span class="ticket-count-closed"><?php echo $ticket_count_closed?></span>)</li>
        </ul>
        <div class="aiosc-clear"></div>
        <div id="ajax-response"></div>

        <div class="aiosc-form">
            <form method="post" id="aiosc-form" action="<?php echo get_admin_url()?>admin-ajax.php">
                <input type="hidden" name="action" value="aiosc_tickets_list" />
                <input type="hidden" name="status" id="list-screen" value="<?php echo in_array(aiosc_pg('status'),aiosc_TicketManager::get_statuses())?aiosc_pg('status'):'all'?>" />
                <input type="hidden" name="order" id="list-order" value="desc" />
                <input type="hidden" name="sort" id="list-sort" value="ID" />
                <div class="aiosc-tab-content-holder">
                    <div class="aiosc-loading-holder"><div class="aiosc-loading-bar"><span><?php _e('Loading Screen...','aiosc')?></span></div></div>

                    <div class="tablenav">
                        <?php if($aiosc_user->can('answer_tickets')) : ?>
                            <div class="alignleft actions bulkactions">
                                <select name="bulkaction">
                                    <option value="-1" selected="selected"><?php _e('Bulk Actions','aiosc')?></option>
                                    <option value="edit"><?php _e('Quick Edit','aiosc')?></option>
                                    <option value="delete"><?php _e('Delete permanently','aiosc')?></option>
                                </select>
                                <input type="submit" name="bulkaction-submit" id="doaction" class="button action" value="<?php _e('Apply','aiosc')?>">
                            </div>
                        <?php endif; ?>

                        <div class="alignleft actions">
                            <?php if(is_array($priorities) && count($priorities) > 0) : ?>
                                <select name="priority" id="priority">
                                    <option value="0"><?php _e('- Priority -','aiosc')?></option>
                                    <?php foreach($priorities as $pri) : ?>
                                        <option value="<?php echo $pri->ID?>" <?php echo aiosc_pg('priority') == $pri->ID?"selected":""?>><?php echo $pri->name?></option>
                                    <?php endforeach; ?>
                                </select>
                            <?php endif; ?>
                            <?php if(is_array($departments) && count($departments) > 0) : ?>
                                <select name="department" id="department">
                                    <option value="0"><?php _e('- Department -','aiosc')?></option>
                                    <?php foreach($departments as $dep) : ?>
                                        <option value="<?php echo $dep->ID?>" <?php echo aiosc_pg('department') == $dep->ID?"selected":""?>><?php echo $dep->name?></option>
                                    <?php endforeach; ?>
                                </select>
                            <?php endif; ?>
                            <?php if($aiosc_user->can('staff')) : ?>
                                <select name="is_public" id="is_public">
                                    <option value="0"><?php _e('- Visibility -','aiosc')?></option>
                                    <option value="N"><?php _e('Private','aiosc')?></option>
                                    <option value="Y"><?php _e('Public','aiosc')?></option>
                                </select>
                                <?php if(is_array($users) && count($users) > 0) : ?>
                                    <select name="author" id="authors" style="width: 150px;">
                                        <option value="0"><?php _e('- Author -','aiosc')?></option>
                                        <?php foreach($users as $user) : ?>
                                            <option value="<?php echo $user->ID?>" <?php echo aiosc_pg('author') == $user->ID?"selected":""?>>
                                                <?php echo $user->display_name?> @<?php echo $user->user_login;?></option>
                                        <?php endforeach; ?>
                                    </select>
                                <?php endif; ?>
                                <input type="submit" name="view-change" id="view-change" class="button" value="Filter">

                            <?php endif; ?>
                        </div>
                        <div class="alignleft actions">
                            <input type="text" name="search" id="ticket-search" placeholder="<?php _e('Search by #ID or string','aiosc')?>" value="<?php echo @$_POST['search']?>" />
                            <input type="submit" name="search-submit" id="searc-submit" class="button" value="<?php _e('Search','aiosc')?>">
                        </div>
                        <!-- PAGINATION GOES HERE -->
                    </div>
                    <div class="aiosc-clear"></div>
                    <div class="aiosc-tab-content">
                        <!-- Here we use one-time params for LIST query, they will be replaced the first time LIST is loaded -->
                        <?php if(isset($_GET['paged'])) : ?>
                            <input type="hidden" name="paged" value="<?php echo aiosc_pg('paged')?>" />
                        <?php endif; ?>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>