<?php
global  $aiosc_user, //contains aiosc_User instance of current user
        $aiosc_settings, //can be used for retrieving AIOSC settings (->get)
        $tickets, //contains array of aiosc_Ticket instances of queried tickets and all data is in here
        $ticket_query; //contains SQL query additions for querying tickets


$ticket_query = array();

$items_per_page = aiosc_tickets_per_page(); //how many pages
$current_page = aiosc_pg('paged',false,1) > 0?aiosc_pg('paged',false,1):1;
//status
$status = !in_array(aiosc_pg('status'),aiosc_TicketManager::get_statuses())?'':aiosc_pg('status');
if(!empty($status)) $ticket_query['status'] = $status;

//filtering
if(isset($_POST['public_mode'])) $ticket_query['is_public'] = 'Y';
if(!isset($_POST['public_mode'])) $ticket_query['author_id'] = $aiosc_user->ID;

$additional_query = '';

//sorting
$ticket_sorting = '';
if(in_array(aiosc_pg('sort'),aiosc_TicketManager::get_columns())) $ticket_sorting = 'ORDER BY '.esc_sql(aiosc_pg('sort')).' ';
if(!empty($ticket_sorting)) $ticket_sorting .= strtolower(aiosc_pg('order')) == 'desc'?'DESC':'ASC';

$ticket_count = aiosc_TicketManager::get_count_by($ticket_query,$additional_query);

//get LIMIT (from where to start)
$ticket_limit = ($current_page - 1) * $items_per_page;
if($ticket_limit < 0) $ticket_limit = 0;

$ticket_sorting .= " LIMIT $ticket_limit, $items_per_page";

$search = aiosc_get_search_terms();

$additional_query .= $ticket_sorting;
$tickets = aiosc_TicketManager::get_tickets($ticket_query, $additional_query, $search);

$order = aiosc_pg('order') == 'desc'?'desc':'asc';
?>
<div class="tablenav">
    <?php echo aiosc_get_pagination($ticket_count,$items_per_page, $current_page) ?>
</div>
<table class="wp-list-table widefat fixed users">
<thead>
<tr>
    <th scope="col" class="manage-column column-ID sortable <?php echo $order?>" style="width: 40px;">
        <a href="#" data-order="ID">
            <span><?php _e('ID','aiosc')?></span>
            <span class="sorting-indicator"></span>
        </a>
    </th>
    <th scope="col" class="manage-column column-subject sortable <?php echo $order?>">
        <a href="#" data-order="subject">
            <span><?php _e('Subject','aiosc')?></span>
            <span class="sorting-indicator"></span>
        </a>
    </th>
    <th scope="col" class="manage-column column-status sortable <?php echo $order?>">
        <a href="#" data-order="status">
            <span><?php _e('Status','aiosc')?></span>
            <span class="sorting-indicator"></span>
        </a>
    </th>
    <th scope="col" class="manage-column column-replies num">
        <div class="dashicons dashicons-format-chat" title="<?php _e('Replies','aiosc')?>"></div>
    </th>

    <th scope="col" class="manage-column column-priority sortable <?php echo $order?>">
        <a href="#" data-order="priority_level">
            <span><?php _e('Priority','aiosc')?></span>
            <span class="sorting-indicator"></span>
        </a>
    </th>
    <th scope="col" class="manage-column column-department sortable <?php echo $order?>">
        <a href="#" data-order="department_id">
            <span><?php _e('Department','aiosc')?></span>
            <span class="sorting-indicator"></span>
        </a>
    </th>
    <th scope="col" class="manage-column column-date_created sortable <?php echo $order?> aiosc-tr-right">
        <a href="#" data-order="date_created">
            <span><?php _e('Date Created','aiosc')?></span>
            <span class="sorting-indicator"></span>
        </a>
    </th>
</tr>
</thead>
<tfoot>
<tr>
    <th scope="col" class="manage-column column-ID sortable <?php echo $order?>">
        <a href="#" data-order="ID">
            <span><?php _e('ID','aiosc')?></span>
            <span class="sorting-indicator"></span>
        </a>
    </th>
    <th scope="col" class="manage-column column-subject sortable <?php echo $order?>">
        <a href="#" data-order="subject">
            <span><?php _e('Subject','aiosc')?></span>
            <span class="sorting-indicator"></span>
        </a>
    </th>
    <th scope="col" class="manage-column column-status sortable <?php echo $order?>">
        <a href="#" data-order="status">
            <span><?php _e('Status','aiosc')?></span>
            <span class="sorting-indicator"></span>
        </a>
    </th>
    <th scope="col" class="manage-column column-replies num">
        <div class="dashicons dashicons-format-chat" title="<?php _e('Replies','aiosc')?>"></div>
    </th>

    <th scope="col" class="manage-column column-priority sortable <?php echo $order?>">
        <a href="#" data-order="priority_level">
            <span><?php _e('Priority','aiosc')?></span>
            <span class="sorting-indicator"></span>
        </a>
    </th>
    <th scope="col" class="manage-column column-department sortable <?php echo $order?>">
        <a href="#" data-order="department_id">
            <span><?php _e('Department','aiosc')?></span>
            <span class="sorting-indicator"></span>
        </a>
    </th>
    <th scope="col" class="manage-column column-date_created sortable <?php echo $order?> aiosc-tr-right">
        <a href="#" data-order="date_created">
            <span><?php _e('Date Created','aiosc')?></span>
            <span class="sorting-indicator"></span>
        </a>
    </th>
</tr>
</tfoot>

<tbody id="the-list">
<?php if(count($tickets) > 0) :
    $y = 0;?>
    <?php
    foreach($tickets as $ticket) :
        $pri = new aiosc_Priority($ticket->priority_id);
        $dep = new aiosc_Department($ticket->department_id);
        ?>
        <tr id="ticket-<?php echo $ticket->ID?>" <?php echo ($y % 2 == 0)?'class="alternate"':''?>>
            <?php if(!aiosc_cookie_get('id-hide',false)) : ?>
                <td class="column-ID">#<?php echo $ticket->ID?></td>
            <?php endif; ?>
            <td class="column-subject">
                <strong>
                    <a class="row-title" href="<?php echo $ticket->get_url(false, true); ?>" title="<?php _e('View','aiosc')?> <?php echo $ticket->subject ?>"><?php echo $ticket->subject; ?></a>
                </strong>
                <div class="locked-info"><span class="locked-avatar"></span> <span class="locked-text"></span></div>
            </td>

                <td class="column-status">
                    <span class="aiosc-status aiosc-status-<?php echo strtolower($ticket->status)?>"><?php echo $ticket->status_name?></span>
                </td>
                <td class="column-replies">
                    <?php echo $ticket->reply_count()?>
                </td>

                <td class="column-priority">
                    <span class="aiosc-priority-badge" style="<?php echo $pri->get_color_style()?>"><?php echo $pri->name?></span>
                </td>

                <td class="column-department">
                    <?php echo $dep->name?>
                </td>

            <td class="column-date_created">
                <?php echo aiosc_get_datetime($ticket->date_created) ?>
            </td>
        </tr>
        <?php
        $y++;
    endforeach; ?>
<?php else : ?>
    <tr>
        <td colspan=7 class="aiosc-no-items"><?php _e('No tickets found.','aiosc')?></td>
    </tr>
<?php endif; ?>
</tbody>
</table>