<?php aisoc_print_js_debug() ?>
<?php
global  $aiosc_user, //contains aiosc_User instance of current user
        $aiosc_settings, //can be used for retrieving AIOSC settings (->get)
        $tickets, //contains array of aiosc_Ticket instances of queried tickets and all data is in here
        $public_mode; //bool - is publicOnly enabled (true) or (false)


$ticket_query = array();

if($public_mode) $ticket_query['is_public'] = 'Y'; //public mode?
if(!$public_mode) $ticket_query['author_id'] = $aiosc_user->ID;

$additional_query = '';

$ticket_count_all = aiosc_TicketManager::get_count_by($ticket_query,$additional_query);
$ticket_count_queue = aiosc_TicketManager::get_count_by(array_merge($ticket_query,array('status'=>'queue')),$additional_query);
$ticket_count_open = aiosc_TicketManager::get_count_by(array_merge($ticket_query,array('status'=>'open')),$additional_query);
$ticket_count_closed = aiosc_TicketManager::get_count_by(array_merge($ticket_query,array('status'=>'closed')),$additional_query);
?>
<div class="aiosc-ticket-list">
    <div class="aiosc-window">
        <ul class="aiosc-subtabs">
            <li data-screen="all"><?php _e('All','aiosc')?> (<span class="ticket-count-all"><?php echo $ticket_count_all?></span>)</li>
            <li data-screen="queue"><?php _e('In Queue','aiosc')?> (<span class="ticket-count-queue"><?php echo $ticket_count_queue?></span>)</li>
            <li data-screen="open"><?php _e('Open','aiosc')?> (<span class="ticket-count-open"><?php echo $ticket_count_open?></span>)</li>
            <li data-screen="closed"><?php _e('Closed','aiosc')?> (<span class="ticket-count-closed"><?php echo $ticket_count_closed?></span>)</li>
        </ul>
        <div class="aiosc-clear"></div>
        <div id="ajax-response"></div>

        <div class="aiosc-form">
            <form method="post" id="aiosc-form" action="<?php echo get_admin_url()?>admin-ajax.php">
                <input type="hidden" name="action" value="aiosc_tickets_list" />
                <input type="hidden" name="status" id="list-screen" value="<?php echo in_array(aiosc_pg('status'),aiosc_TicketManager::get_statuses())?aiosc_pg('status'):'all'?>" />
                <input type="hidden" name="order" id="list-order" value="desc" />
                <input type="hidden" name="sort" id="list-sort" value="ID" />
                <input type="hidden" name="frontend" value="1" />
                <?php if($public_mode) : ?>
                <input type="hidden" name="public_mode" value="1" />
                <?php endif; ?>
                <div class="aiosc-tab-content-holder">
                    <div class="aiosc-loading-holder">
                        <div class="aiosc-loading-bar">
                            <span><?php _e('Loading Screen...','aiosc')?></span>
                        </div>
                    </div>
                    <div class="tablenav">
                        <div class="alignleft actions">
                            <input type="text" name="search" id="ticket-search" placeholder="<?php _e('Search by #ID or string','aiosc')?>" value="<?php echo @$_POST['search']?>" />
                            <input type="submit" name="search-submit" id="searc-submit" class="button" value="<?php _e('Search','aiosc')?>">
                        </div>
                    </div>
                    <div class="aiosc-tab-content">
                        <!-- Here we use one-time params for LIST query, they will be replaced the first time LIST is loaded -->
                        <?php if(isset($_GET['paged'])) : ?>
                            <input type="hidden" name="paged" value="<?php echo aiosc_pg('paged')?>" />
                        <?php endif; ?>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
